/* JJT: 0.2.2 */

package w3c.pics.parser;

import java.util.Enumeration;

class PICSA_URL_Node extends SimpleNode implements URLEvalNode {
  PICSA_URL_Node(int id) {
    super(id);
  }

  String text = null;
  
  public String getText() {
    return text;
  }

  public boolean isValid(String URL) {
    int childcount = this.children.length;
    for (int count=0; count<childcount; count++) {
      URLEvalNode testnode = (URLEvalNode)children[count];
      boolean retval = testnode.isValid(URL);
      if (retval)
	return true;
    }
    return false;
  }

}
